Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::Angle Class Reference

Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit. More...

`#include <OgreMath.h>`

List of all members.

## Public Methods

| Angle (Real angle)
| operator Radian ()
| operator Degree ()

## Private Attributes

Real | mAngle

## Detailed Description

Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit.

Remarks:
  Angle values will be automatically converted between radians and degrees, as appropriate.

Definition at line 124 of file OgreMath.h.

## Constructor & Destructor Documentation

Ogre::Angle::Angle | ( | Real | angle | ) | `[explicit]`

| Definition at line 128 of file OgreMath.h. References mAngle, and Ogre::Real.

## Member Function Documentation

Ogre::Angle::operator Degree | ( |  | ) |

| Definition at line 452 of file OgreMath.h. References mAngle.

Ogre::Angle::operator Radian | ( |  | ) |

| Definition at line 447 of file OgreMath.h. References mAngle.

## Member Data Documentation

Real Ogre::Angle::mAngle`[private]`

| Definition at line 126 of file OgreMath.h. Referenced by Angle(), operator Degree(), and operator Radian().

The documentation for this class was generated from the following file:

- OgreMath.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:43 2004